Guest

CiscoWorks Wireless LAN Solution Engine (WLSE)

Upgrading CiscoWorks WLSE and WLSE Express Software, 2.11

  • Viewing Options

  • PDF (173.2 KB)
  • Feedback
Upgrading the CiscoWorks Wireless LAN Solution Engine, 2.11

Table Of Contents

Upgrading the CiscoWorks Wireless LAN Solution Engine, 2.11

Other Relevant Documentation

Upgrade Methods

Overview: Repository Method

Overview: Recovery CD Method

Upgrading Redundant Systems

Cautions When Upgrading

Software and Hardware that Can Be Upgraded

Viewing the Installation Log


Upgrading the CiscoWorks Wireless LAN Solution Engine, 2.11


This document provides general information about upgrading WLSE system software to Release 2.11 and provides a pointer to the software images on Cisco.com.


Caution Upgrading to WLSE 2.11 requires installing an update patch before you install the upgrade image. Make sure you read the Readme.txt files that accompany the software before beginning the upgrade.

This document contains the following sections:

Other Relevant Documentation

Upgrade Methods

Overview: Repository Method

Overview: Recovery CD Method

Upgrading Redundant Systems

Cautions When Upgrading

Software and Hardware that Can Be Upgraded

Viewing the Installation Log

Other Relevant Documentation

Use this document along with the following documents:

The Readme files located along with the software images in the download area on Cisco.com.

The instructions for backing up and restoring the WLSE database in the online help and the User Guide for the CiscoWorks Wireless LAN Solution Engine, 2.11.

Upgrade Methods

There are two basic methods of upgrading a WLSE to 2.11:

Repository method: Download the upgrade files and install them from a repository. You can use the WLSE itself or a Microsoft Windows server as the repository. This method is easier and faster and is the recommended method.

For WLSE 2.11, this method requires the installation of an update patch before installing the software image.

Recovery CD method: Download files and create a recovery CD. Then use this CD to upgrade the WLSE.

The database is not preserved when you use this method. You must perform a database restoration after upgrading.

Overview: Repository Method

This section gives an overview of the upgrade procedure for downloading and installing the patch and software image. For details, see the relevant Readme file.

1. Navigate to the software download area on Cisco.com:

http://www.cisco.com/cgi-bin/tablebuild.pl/wlan-sol-eng

Here you will find the Readme files and software images.

2. Read the following:

Patch Readme: WLSE-2.x-CSCsa93623-K9.readmeV1.txt

Image Readme: WLSE-2.11-K9.readme-V2.txt

3. Install the update patch on a repository.

4. Install the update patch on the WLSE. This patch corrects certain database problems.

5. Run the clearvar CLI command to clear unnecessary log files. For information on running CLI commands, see the online help or the User Guide for the CiscoWorks Wireless LAN Solution Engine, 2.11.

6. (Strongly recommended) Back up the WLSE database. The upgrade attempts to preserve the WLSE database, but a new backup is needed in case of errors during the upgrade. For information on backing up and restoring the WLSE database, see the online help or the User Guide for the CiscoWorks Wireless LAN Solution Engine, 2.11.


Note All previous backups will not work. It is recommended that you discard them.


7. Install the WLSE 2.11 upgrade image on a repository.

8. Install the upgrade image on the WLSE.

9. If necessary, restore the backup from Step 6.

10. Run a manual inventory on all managed devices. This ensures that radio management functionality will work correctly. For information on running inventories, see the online help or the User Guide for the CiscoWorks Wireless LAN Solution Engine, 2.11.

Overview: Recovery CD Method

This section gives an overview of the upgrade procedure for downloading and installing the patch and creating a recovery CD. For details, see the relevant Readme file.


Caution Performing a database backup as described below is essential. Data is not preserved during this method of upgrading, and the database must be restored after upgrading.

1. Navigate to the software download area on Cisco.com:

http://www.cisco.com/cgi-bin/tablebuild.pl/wlan-sol-eng

Here you will find the Readme files and software images.

2. Read the following:

Patch Readme: WLSE-2.x-CSCsa93623-K9.readmeV1.txt

Image Readme: WLSE-2.11.ISO-ReadmeV1.txt

3. Install the update patch on a repository.

4. Install the update patch on the WLSE. This patch corrects certain database problems.

5. Back up the WLSE database. For information on backing up and restoring the WLSE database, see the online help or the User Guide for the CiscoWorks Wireless LAN Solution Engine, 2.11.


Note All previous backups will not work. It is recommended that you discard them.


6. Use the instructions in the ISO Readme file to create the recovery CD.

7. Install the recovery CD.

8. Restore the backup from Step 5.

Upgrading Redundant Systems

When upgrading a redundant cluster:

1. Turn off redundancy.

2. Upgrade both systems.

3. After upgrade is complete, turn on redundancy on the active node.


Note Both nodes must run the same software release.


Cautions When Upgrading

Please review the following notes before upgrading.

You cannot upgrade a WLSE 1105 to WLSE 2.11. If you attempt to do so, the installation will fail. Messages in the install.log file will include the following:

Error: Hardware type 1105 not supported for this upgrade.
Error: Aborting upgrade installation.
Daemon Manager could not start. The port is in use.

For information on the install.log file, see Viewing the Installation Log.

Review the Readme.txt files that accompany the software on Cisco.com before attempting to install the upgrade.

Back up WLSE data after installing the update patch.

Complete the entire upgrade right after installing the update patch and backing up the database. Do not operate the WLSE for any length of time after installing the update patch and before installing the upgrade.

You can downgrade to an earlier software version by using the recovery CD method. The database is not preserved when you use the recovery CD, so make sure you have a backup from the earlier version before downgrading. For example, if you downgrade from 2.11 to 2.9, you would need to restore a 2.9 backup.

You cannot upgrade from pre-release, non-FCS, or beta software to the released version. Also, you cannot back up data from pre-release, non-FCS, or beta software and restore it to a WLSE running the released version.

Software and Hardware that Can Be Upgraded

You can upgrade a WLSE 1130 or 1130-19 to WLSE 2.11 as follows:

From WLSE 2.7 to WLSE 2.11

From WLSE 2.7.1 to WLSE 2.11

From WLSE 2.9 to WLSE 2.11

From WLSE 2.9.1a to WLSE 2.11

Upgrading from WLSE 2.9.1 to WLSE 2.11 requires special procedures for backing up and restoring the data (see the Readme file for more information).

If you are using WLSE 2.5, you must upgrade to 2.7 before upgrading to 2.11. If you are using WLSE 2.5, and you want to upgrade directly to 2.11, use the recovery CD method.

You cannot upgrade a WLSE 1105 to WLSE 2.11. If you attempt to do so, the installation will fail.

Viewing the Installation Log

The install.log file contains information about files installed during software installation, as well as any errors that occurred. To view install.log and other WLSE system logs, select Administration > Appliance > Status > View Log File.